Bug 259821 - devel/valgrind-devel: Update to 3.19.0.g20211113
Summary: devel/valgrind-devel: Update to 3.19.0.g20211113
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Li-Wen Hsu
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2021-11-13 17:45 UTC by Paul Floyd
Modified: 2021-11-15 18:23 UTC (History)
1 user (show)

See Also:
koobs: merge-quarterly?


Attachments
patch for valgrind-devel (1.71 KB, patch)
2021-11-13 17:45 UTC, Paul Floyd
pjfloyd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Floyd 2021-11-13 17:45:45 UTC
Created attachment 229479 [details]
patch for valgrind-devel

I recently fixed a significant bug for i386 where Valgrind was crashing in calls to sigreturn for applications linked to libthr.so

I don't know if it is possible to build a port directly from  git://sourceware.org/git/valgrind.git rather than SOURCEWARE/valgrind which as far as I know only works with tarballs. So I've stuck with my github repo, which is merged and up to date at the time of writing.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-11-14 01:21:14 UTC
^Triage: 

 - maintainer-feedback flag (+) not required unless requested (?) first

 - Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval

  Attachment -> Details -> maintainer-approval [+]
Comment 2 commit-hook freebsd_committer 2021-11-15 18:21:34 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e418b2c960761eced8da1c5f9deb24d1e242845e

commit e418b2c960761eced8da1c5f9deb24d1e242845e
Author:     Paul Floyd <pjfloyd@wanadoo.fr>
AuthorDate: 2021-11-15 18:19:11 +0000
Commit:     Li-Wen Hsu <lwhsu@FreeBSD.org>
CommitDate: 2021-11-15 18:19:11 +0000

    devel/valgrind-devel: Update to 3.19.0.g20211113

    PR:             259821

 devel/valgrind-devel/Makefile  | 6 ++----
 devel/valgrind-devel/distinfo  | 6 +++---
 devel/valgrind-devel/pkg-descr | 2 +-
 3 files changed, 6 insertions(+), 8 deletions(-)
Comment 3 Li-Wen Hsu freebsd_committer 2021-11-15 18:23:47 UTC
(In reply to Paul Floyd from comment #0)
I guess using github as a mirror is an acceptable workaround unless git://sourceware.org/git/valgrind.git provides a way to download tarball.

Patch committed, with minor Makefile and plist fixes. Thanks very much for your work!